<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
	<modelVersion>4.0.0</modelVersion>

	<parent>
		<groupId>com.scytl.products.ov.channel</groupId>
		<artifactId>ov-channel</artifactId>
		<version>2.1.7</version>
	</parent>

	<artifactId>ov-channel-assembly</artifactId>
	<packaging>pom</packaging>
	<name>Online Voting Channel Assembly</name>
	<description>OV Channel Assembly</description>

	<properties>
		<javac.version>1.8</javac.version>
		<surfire.version>2.17</surfire.version>
	</properties>

	<dependencies>
		<dependency>
			<groupId>com.scytl.products.ov.channel.ea</groupId>
			<artifactId>ov-extended-authentication-assembly</artifactId>
			<version>${project.version}</version>
			<type>zip</type>
			<exclusions>
				<exclusion>
					<groupId>com.scytl.products.ov.channel.ea.ui</groupId>
					<artifactId>ea-ws-rest</artifactId>
				</exclusion>
			</exclusions>
		</dependency>

		<dependency>
			<groupId>com.scytl.products.ov.channel.ag</groupId>
			<artifactId>ov-api-gateway-assembly</artifactId>
			<version>${project.version}</version>
			<type>zip</type>
			<exclusions>
				<exclusion>
					<groupId>com.scytl.products.ov.channel.ag.ui</groupId>
					<artifactId>ag-ws-rest</artifactId>
				</exclusion>
			</exclusions>
		</dependency>

		<dependency>
			<groupId>com.scytl.products.ov.channel.au</groupId>
			<artifactId>ov-authentication-assembly</artifactId>
			<version>${project.version}</version>
			<type>zip</type>
			<exclusions>
				<exclusion>
					<groupId>com.scytl.products.ov.channel.au.ui</groupId>
					<artifactId>au-ws-rest</artifactId>
				</exclusion>
			</exclusions>
		</dependency>

		<dependency>
			<groupId>com.scytl.products.ov.channel.cr</groupId>
			<artifactId>ov-certificate-registry-assembly</artifactId>
			<version>${project.version}</version>
			<type>zip</type>
			<exclusions>
				<exclusion>
					<groupId>com.scytl.products.ov.channel.cr.ui</groupId>
					<artifactId>cr-ws-rest</artifactId>
				</exclusion>
			</exclusions>
		</dependency>

		<dependency>
			<groupId>com.scytl.products.ov.channel.ei</groupId>
			<artifactId>ov-election-information-assembly</artifactId>
			<version>${project.version}</version>
			<type>zip</type>
			<exclusions>
				<exclusion>
					<groupId>com.scytl.products.ov.channel.ei.ui</groupId>
					<artifactId>ei-ws-rest</artifactId>
				</exclusion>
			</exclusions>
		</dependency>

		<dependency>
			<groupId>com.scytl.products.ov.channel.kt</groupId>
			<artifactId>key-translation-assembly</artifactId>
			<version>${project.version}</version>
			<type>zip</type>
			<exclusions>
				<exclusion>
					<groupId>com.scytl.products.ov.channel.kt.ui</groupId>
					<artifactId>kt-ws-rest</artifactId>
				</exclusion>
			</exclusions>
		</dependency>

		<dependency>
			<groupId>com.scytl.products.ov.channel.vm</groupId>
			<artifactId>ov-voter-material-assembly</artifactId>
			<version>${project.version}</version>
			<type>zip</type>
			<exclusions>
				<exclusion>
					<groupId>com.scytl.products.ov.channel.vm.ui</groupId>
					<artifactId>vm-ws-rest</artifactId>
				</exclusion>
			</exclusions>
		</dependency>

		<dependency>
			<groupId>com.scytl.products.ov.channel.vv</groupId>
			<artifactId>ov-vote-verification-assembly</artifactId>
			<version>${project.version}</version>
			<type>zip</type>
			<exclusions>
				<exclusion>
					<groupId>com.scytl.products.ov.channel.vv.ui</groupId>
					<artifactId>vv-ws-rest</artifactId>
				</exclusion>
			</exclusions>
		</dependency>

		<dependency>
			<groupId>com.scytl.products.ov.channel.vw</groupId>
			<artifactId>ov-voting-workflow-assembly</artifactId>
			<version>${project.version}</version>
			<type>zip</type>
			<exclusions>
				<exclusion>
					<groupId>com.scytl.products.ov.channel.vw.ui</groupId>
					<artifactId>vw-ws-rest</artifactId>
				</exclusion>
			</exclusions>
		</dependency>

		<dependency>
		    <groupId>com.scytl.products.ov.channel.cc.orchestrator</groupId>
    		<artifactId>ov-cc-orchestrator-assembly</artifactId>
    		<version>${project.version}</version>
    		<type>zip</type>
		</dependency>

		<dependency>
			<groupId>com.scytl.products.ov.channel.cc</groupId>
			<artifactId>ov-choice-codes-generation-assembly</artifactId>
			<version>${project.version}</version>
			<type>zip</type>
		</dependency>

		<dependency>
			<groupId>com.scytl.products.ov.channel.cc</groupId>
			<artifactId>ov-choice-codes-verification-assembly</artifactId>
			<version>${project.version}</version>
			<type>zip</type>
		</dependency>
		
		<dependency>
			<groupId>com.scytl.products.ov.channel.cc</groupId>
			<artifactId>distributed-mixing-assembly</artifactId>
			<version>${project.version}</version>
			<type>zip</type>
		</dependency>
	</dependencies>

	<build>
		<plugins>
			<!-- Assembly the zip with all files for OV Channel -->
			<plugin>
				<artifactId>maven-assembly-plugin</artifactId>
				<configuration>
					<descriptors>
						<descriptor>package.xml</descriptor>
					</descriptors>
					<appendAssemblyId>false</appendAssemblyId>
					<finalName>ov-channel-assembly-${project.version}</finalName>
				</configuration>
				<executions>
					<execution>
						<id>create-archive</id>
						<phase>package</phase>
						<goals>
							<goal>single</goal>
						</goals>
					</execution>
				</executions>
			</plugin>
		</plugins>

	</build>
</project>
    
